package quassel-core 0.7.1-0ubuntu1 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1

Bug #753080 reported by Tim Penhey on 2011-04-06
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
quassel (Ubuntu)
High
Unassigned

Bug Description

Binary package hint: quassel

This failed to install during the natty upgrade, and has continued to fail to install.

Preparing to replace quassel-core 0.7.1-0ubuntu1 (using .../quassel-core_0.7.2-0ubuntu1_i386.deb) ...
mkdir: cannot create directory `/var/lib/quassel/': File exists
mv: cannot stat `/var/cache/quassel/*': No such file or directory
rmdir: failed to remove `/var/cache/quassel/': Directory not empty
dpkg: error processing /var/cache/apt/archives/quassel-core_0.7.2-0ubuntu1_i386.deb (--unpack):
 subprocess new pre-installation script returned error exit status 1

The /var/lib/quassel contained my quassel config, sqlite db file and the ssl file (quasselCert.pem)

The quassel log file showed that during the natty package installation process, the existing quassel-core had errors saving the conversations to the backlog

The log file is filled with lots of the following type of error:

2011-04-06 17:52:14 Error: unhandled Error in QSqlQuery!
2011-04-06 17:52:14 Error: last Query: INSERT INTO backlog (time, bufferid, type, flags, send
erid, message)VALUES (:time, :bufferid, :type, :flags, (SELECT senderid FROM sender WHERE sender = :sender), :m
essage)
2011-04-06 17:52:14 Error: executed Query: INSERT INTO backlog (time, bufferid, type, flags, send
erid, message)VALUES (?, ?, ?, ?, (SELECT senderid FROM sender WHERE sender = ?), ?)
2011-04-06 17:52:14 Error: bound Values: :bufferid=49, :flags=0, :message='wgrant: has teh scri
pt been rewritten', :sender='lifeless!~robertc@122-63-10-108.jetstream.xtra.co.nz', :time=1302069134, :type=1
2011-04-06 17:52:14 Error: Error Number: 10
2011-04-06 17:52:14 Error: Error Message: disk I/O error Unable to fetch row
2011-04-06 17:52:14 Error: Driver Message: Unable to fetch row
2011-04-06 17:52:14 Error: DB Message: disk I/O error

On quassel-core restart, it seems to be looking in /var/cache/quassel for the quasselCert.pem file, which was in /var/lib/quassel.

ProblemType: Package
DistroRelease: Ubuntu 11.04
Package: quassel-core 0.7.1-0ubuntu1
ProcVersionSignature: Ubuntu 2.6.38-8.40-generic-pae 2.6.38.2
Uname: Linux 2.6.38-8-generic-pae i686
Architecture: i386
Date: Thu Apr 7 11:45:02 2011
DpkgTerminalLog:
 Preparing to replace quassel-core 0.7.1-0ubuntu1 (using .../quassel-core_0.7.2-0ubuntu1_i386.deb) ...
 mv: cannot stat `/var/cache/quassel/*': No such file or directory
 rmdir: failed to remove `/var/cache/quassel/': Directory not empty
 dpkg: error processing /var/cache/apt/archives/quassel-core_0.7.2-0ubuntu1_i386.deb (--unpack):
  subprocess new pre-installation script returned error exit status 1
ErrorMessage: subprocess new pre-installation script returned error exit status 1
SourcePackage: quassel
Title: package quassel-core 0.7.1-0ubuntu1 failed to install/upgrade: subprocess new pre-installation script returned error exit status 1
UpgradeStatus: Upgraded to natty on 2011-04-05 (1 days ago)

Tim Penhey (thumper) wrote :
Changed in quassel (Ubuntu):
importance: Undecided → High
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package quassel - 0.7.2-0ubuntu2

---------------
quassel (0.7.2-0ubuntu2) natty; urgency=low

  * Fix up quassel-core.preinst to finish the /var/cache to /var/lib
    transition (LP: #753080)
 -- Scott Kitterman <email address hidden> Wed, 06 Apr 2011 22:23:47 -0400

Changed in quassel (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers